% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class_analysis_stage_results.R
\name{StageResults_as.data.frame}
\alias{StageResults_as.data.frame}
\alias{as.data.frame.StageResults}
\title{Coerce Stage Results to a Data Frame}
\usage{
\method{as.data.frame}{StageResults}(
  x,
  row.names = NULL,
  optional = FALSE,
  niceColumnNamesEnabled = FALSE,
  includeAllParameters = FALSE,
  type = 1,
  ...
)
}
\arguments{
\item{x}{A \code{\link{StageResults}} object.}

\item{niceColumnNamesEnabled}{Logical. If \code{TRUE}, nice looking column 
names will be used; syntactic names (variable names) otherwise 
(see \code{\link[base]{make.names}}).}

\item{includeAllParameters}{Logical. If \code{TRUE}, all available 
parameters will be included in the data frame; 
a meaningful parameter selection otherwise, default is \code{FALSE}.}

\item{...}{Ensures that all arguments (starting from the "...") are to be named and 
that a warning will be displayed if unknown arguments are passed.}
}
\value{
Returns a \code{\link[base]{data.frame}}.
}
\description{
Returns the \code{StageResults} as data frame.
}
\details{
Coerces the stage results to a data frame.
}
\keyword{internal}
