% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class_design.R
\name{TrialDesignCharacteristics_as.data.frame}
\alias{TrialDesignCharacteristics_as.data.frame}
\alias{as.data.frame.TrialDesignCharacteristics}
\title{Coerce TrialDesignCharacteristics to a Data Frame}
\usage{
\method{as.data.frame}{TrialDesignCharacteristics}(
  x,
  row.names = NULL,
  optional = FALSE,
  niceColumnNamesEnabled = FALSE,
  includeAllParameters = FALSE,
  ...
)
}
\arguments{
\item{x}{A \code{\link{TrialDesignCharacteristics}} object.}

\item{niceColumnNamesEnabled}{Logical. If \code{TRUE}, nice looking column 
names will be used; syntactic names (variable names) otherwise 
(see \code{\link[base]{make.names}}).}

\item{includeAllParameters}{Logical. If \code{TRUE}, all available 
parameters will be included in the data frame; 
a meaningful parameter selection otherwise, default is \code{FALSE}.}

\item{...}{Ensures that all arguments (starting from the "...") are to be named and 
that a warning will be displayed if unknown arguments are passed.}
}
\value{
Returns a \code{\link[base]{data.frame}}.
}
\description{
Returns the \code{TrialDesignCharacteristics} as data frame.
}
\details{
Each element of the \code{\link{TrialDesignCharacteristics}} is converted to a column in the data frame.
}
\examples{
as.data.frame(getDesignCharacteristics(getDesignGroupSequential()))

}
\keyword{internal}
