% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/class_design_plan.R
\name{TrialDesignPlan_as.data.frame}
\alias{TrialDesignPlan_as.data.frame}
\alias{as.data.frame.TrialDesignPlan}
\title{Coerce Trial Design Plan to a Data Frame}
\usage{
\method{as.data.frame}{TrialDesignPlan}(
  x,
  row.names = NULL,
  optional = FALSE,
  niceColumnNamesEnabled = FALSE,
  includeAllParameters = FALSE,
  ...
)
}
\arguments{
\item{x}{A \code{\link{TrialDesignPlan}} object.}

\item{niceColumnNamesEnabled}{Logical. If \code{TRUE}, nice looking column 
names will be used; syntactic names (variable names) otherwise 
(see \code{\link[base]{make.names}}).}

\item{includeAllParameters}{Logical. If \code{TRUE}, all available 
parameters will be included in the data frame; 
a meaningful parameter selection otherwise, default is \code{FALSE}.}

\item{...}{Ensures that all arguments (starting from the "...") are to be named and 
that a warning will be displayed if unknown arguments are passed.}
}
\value{
Returns a \code{\link[base]{data.frame}}.
}
\description{
Returns the \code{\link{TrialDesignPlan}} as data frame.
}
\details{
Coerces the design plan to a data frame.
}
\examples{
as.data.frame(getSampleSizeMeans())

}
\keyword{internal}
